﻿#language: ru

@drivers_of_electric_car

Функционал: 04_drivers.01.005 Заполнение справочника Маршруты водителей электрокаров

Сценарий: 04_drivers.01.005 Создание маршрута №1
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Маршруты водителей электрокаров'
	Тогда открылось окно 'Маршруты водителей электрокаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание)'
	И в поле 'Наименование' я ввожу текст 'Маршрут №1'
	И в таблице "Склады" я нажимаю на кнопку с именем 'СкладыДобавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание) *'
	И в таблице "Склады" я нажимаю на кнопку с именем 'СкладыДобавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Склад ГП'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание) *'
	И в таблице "Склады" я нажимаю на кнопку с именем 'СкладыДобавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Склад с ячейками' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Маршрут водителей электрокаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маршруты водителей электрокаров'
	И Я закрываю окно 'Маршруты водителей электрокаров'

Сценарий: 04_drivers.01.005 Создание маршрута №2
	И В командном интерфейсе я выбираю 'Производство' 'Маршруты водителей электрокаров'
	Тогда открылось окно 'Маршруты водителей электрокаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание)'
	И в поле 'Наименование' я ввожу текст 'Маршрут №2'
	И в таблице "Склады" я нажимаю на кнопку с именем 'СкладыДобавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание) *'
	И в таблице "Склады" я завершаю редактирование строки
	И в таблице "Склады" я нажимаю на кнопку с именем 'СкладыДобавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 4' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание) *'
	И в таблице "Склады" я завершаю редактирование строки
	И в таблице "Склады" я нажимаю на кнопку с именем 'СкладыДобавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Склад с ячейками' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут водителей электрокаров (создание) *'
	И в таблице "Склады" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Маршрут водителей электрокаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маршруты водителей электрокаров'
	И Я закрываю окно 'Маршруты водителей электрокаров'